Get Category Info

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the resource information of a template category, such as name, and library ID.

Endpoints

OAuth Scope

WorkDrive.libraries.categories.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/category/{category_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

category_idstring(Required)

The template category ID

Response Example

F000

200
200
204
500
Copied!
  {
    "data": {
      "id": "ntp2ode5ad3a2eb054a0c845a24f2381852c9",
      "type": "category",
      "attributes": {
        "category_name": "My Category",
        "library_id": "ntp2oe1674ac34a8f429aa9ad52e2c55de8a8",
        "status": 1
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/category/ntp2ode5ad3a2eb054a0c845a24f2381852c9"
      }
    }
  }
                
204 No Content
  {
    "errors": [
      {
        "id": "F000",
        "title": "Generic server-side failure"
      }
    ]
  }
                
Show full